Bug 1259950 - Add config setting to MemberOf Plugin to add required objectclass got memberOf attribute
Summary: Add config setting to MemberOf Plugin to add required objectclass got memberO...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: mreynolds
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-03 21:59 UTC by Noriko Hosoi
Modified: 2016-11-03 20:36 UTC (History)
5 users (show)

Fixed In Version: 389-ds-base-1.3.5.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:36:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Noriko Hosoi 2015-09-03 21:59:22 UTC
When memberOf plugin adds "memberOf" to an entry, that entry needs to have an objectclass that allows "memberof", otherwise you get an objectclass violation and the operation is aborted.

Add an optional config setting to the plugin that will allow the plugin to add a predefined objectclass to the entry that does allow "memberOf" (if an objectclass violation occurs).

Comment 1 mreynolds 2015-09-09 14:31:14 UTC
Fixed upstream (lib389 testcase available in ds/dirsrvtests/suites/memberof_plugin/memberof_test.py)

Comment 2 Mike McCune 2016-03-28 23:12:48 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 8 Kamlesh 2016-06-30 12:54:20 UTC
Bug is verified 

[root@auto-hv-02-guest10 memberof_plugin]# py.test memberof_test.py -s -q -vvv 
==================================================== test session starts =====================================================
platform linux2 -- Python 2.7.5, pytest-2.9.2, py-1.4.31, pluggy-0.3.1 -- /usr/bin/python
cachedir: .cache
rootdir: /memberof/ds/dirsrvtests/tests/suites/memberof_plugin, inifile: 
collected 1 items 

memberof_test.py::test_memberof_auto_add_oc OK group dirsrv exists
OK user dirsrv exists
INFO:suites.memberof_plugin.memberof_test:Correctly rejected invalid objectclass
INFO:suites.memberof_plugin.memberof_test:Test complete.
PASSED
Instance slapd-standalone removed

Comment 10 errata-xmlrpc 2016-11-03 20:36:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.